StarWriterStruct::DatabaseName Struct Reference

structure to store a databaseName in a text zone More...

`#include <StarWriterStruct.hxx>`

## Classes

struct | Data
| a data of a DatabaseName More...

## Public Member Functions

| DatabaseName ()
| constructor
bool | read (StarZone &zone)
| try to read a databaseName: 'D'

## Public Attributes

librevenge::RVNGString | m_names [2]
| the names: database, table
librevenge::RVNGString | m_sql
| the SQL string
std::vector< Data > | m_dataList
| the list of data

## Friends

std::ostream & | operator<< (std::ostream &o, DatabaseName const &databaseName)
| operator<<

## Detailed Description

structure to store a databaseName in a text zone

## Constructor & Destructor Documentation

## DatabaseName()

StarWriterStruct::DatabaseName::DatabaseName | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## read()

bool StarWriterStruct::DatabaseName::read | ( | StarZone & | zone | ) |

try to read a databaseName: 'D'

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | DatabaseName const & | databaseName )

friend

operator<<

## Member Data Documentation

## m_dataList

std::vector<Data> StarWriterStruct::DatabaseName::m_dataList

the list of data

Referenced by DatabaseName(), operator<<, and read().

## m_names

librevenge::RVNGString StarWriterStruct::DatabaseName::m_names[2]

the names: database, table

Referenced by operator<<, and read().

## m_sql

librevenge::RVNGString StarWriterStruct::DatabaseName::m_sql

the SQL string

Referenced by DatabaseName(), operator<<, and read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx